Subject: Re: Porting "prep" from ppc to powerpc.

From: Rob Landley <[email-masked]>
Date: Tue, 29 May 2007 17:16:52 -0400

On Sunday 27 May 2007 7:20 pm, David Gibson wrote:
> On Fri, May 25, 2007 at 10:38:39PM -0400, Rob Landley wrote:
> > Is anyone already doing this?  I asked around here a few weeks ago and got 
the 
> > advice:
> > 
> > > In theory.. copy the files from ppc/platforms/prep.* to
> > > powerpc/platforms/prep/ 
> > > and make some Kconfigs and see what breaks :)
> 
> Actually, I don't really recommend that method in any case.
> 
> Instead I suggest making a Kconfig under arch/powerpc, then adding
> things until it builds, then adding things until it boots.  When you
> need to know what has to be done at a particular point, consult
> arch/ppc.

So study the old code until I figure out what should be in the Kconfig, 
what "things" to add for it to build, and what "things" to add until it 
boots.  And the hint as to where to start is...  study the old code.

Right.  Copying the old implementation to the new directory and debugging it 
sounded like something I might be able to do.  Starting from scratch?  Not so 
much.

Rob